Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dfa.variableaccess
Class VariableAccess

    java.lang.Object
      net.sourceforge.pmd.dfa.variableaccess.VariableAccess

    public class VariableAccess

extends java.lang.Object

Author:
  raik

Field Summary
`static int` | `DEFINITION`
`static int` | `REFERENCING`
`static int` | `UNDEFINITION`

Constructor Summary
`VariableAccess(int accessType, java.lang.String varName)`

Method Summary
`boolean` | `accessTypeMatches(int otherType)`
`int` | `getAccessType()`
`java.lang.String` | `getVariableName()`
`boolean` | `isDefinition()`
`boolean` | `isReference()`
`boolean` | `isUndefinition()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFINITION

    public static final int DEFINITION

See Also:
  Constant Field Values

### REFERENCING

    public static final int REFERENCING

See Also:
  Constant Field Values

### UNDEFINITION

    public static final int UNDEFINITION

See Also:
  Constant Field Values

Constructor Detail

### VariableAccess

    public VariableAccess(int accessType,
                          java.lang.String varName)

Method Detail

### getAccessType

    public int getAccessType()

### accessTypeMatches

    public boolean accessTypeMatches(int otherType)

### isDefinition

    public boolean isDefinition()

### isReference

    public boolean isReference()

### isUndefinition

    public boolean isUndefinition()

### getVariableName

    public java.lang.String getVariableName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.